Create Loan
curl --request POST \
--url https://los.universal.rollout.com/api/loans \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123,
"participatingUserIds": [
"<string>"
]
}
'import requests
url = "https://los.universal.rollout.com/api/loans"
payload = {
"amount": 123,
"type": "<string>",
"term": 123,
"loanNumber": "<string>",
"interestRate": 123,
"borrowers": [
{
"name": "<string>",
"taxId": "<string>",
"role": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"bio": {},
"type": "<string>"
}
],
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"loanToValue": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>",
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123,
"participatingUserIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
type: '<string>',
term: 123,
loanNumber: '<string>',
interestRate: 123,
borrowers: [
{
name: '<string>',
taxId: '<string>',
role: '<string>',
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>'
}
],
bio: {},
type: '<string>'
}
],
statusDate: '<string>',
applicationDate: '<string>',
closingDate: '<string>',
fundingDate: '<string>',
loanToValue: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>',
monthlyPayment: 123,
escrowIncluded: true,
pmiRequired: true,
pmiRate: 123,
participatingUserIds: ['<string>']
})
};
fetch('https://los.universal.rollout.com/api/loans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"userParticipantIds": [
"<string>"
],
"borrowerParticipantIds": [
"<string>"
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"rolloutUpdated": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Loans
Create Loan
POST /loans
POST
/
loans
Create Loan
POST /loans
Base URL: https://los.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/los.json POST /loansBody
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I